swSigmaT {oce} | R Documentation

## Seawater quasi-potential density anomaly

### Description

Compute sigma-t, a rough estimate of potential density of seawater, minus 1000 kg/m^3.

### Usage

    swSigmaT(salinity, temperature=NULL, pressure=NULL, longitude=300,
      latitude=30, eos=getOption("oceEOS", default="gsw"))

### Arguments

`salinity` | either salinity [PSU] (in which case `temperature` and `pressure` must be provided) or a `ctd` object (in which case `salinity`, `temperature` and `pressure` are determined from the object, and must not be provided in the argument list).
`temperature` | in-situ temperature [degC], defined on the ITS-90 scale; see “Temperature units” in the documentation for `swRho`, and the examples below.
`pressure` | pressure [dbar]
`longitude` | longitude of observation (only used if `eos="gsw"`).
`latitude` | latitude of observation (only used if `eos="gsw"`).
`eos` | name of equation of state to be used, either `"unesco"` or `"gsw"`.

### Details

If the first argument is an `oce` object, then salinity, etc., are extracted from it, and used for the calculation.

### Value

Quasi-potential density anomaly [kg/m^3], defined as the density calculated with pressure set to zero.

### Author(s)

Dan Kelley

### References

See citations provided in the `swRho` documentation.

### See Also

Related density routines include: `swRho`, `swSigma`, `swSigmaTheta`, `swSigma0`, etc.

### Examples

    swSigmaT(35, 13, 1000, eos="gsw")                # 26.396816
    swSigmaT(35, T90fromT68(13), 1000, eos="unesco") # 26.393538

[Package oce version 0.9-18 Index]